starget_for_each_device
Prev | drivers/scsi/scsi.c | Next

## Name

starget_for_each_device — helper to walk all devices of a target

## Synopsis

`void starget_for_each_device (` | struct scsi_target * | starget,
| void * | data,
| void (* | fn`(`struct scsi_device *, void *`)``)`;

## Arguments

`starget`

  target whose devices we want to iterate over.

`data`

  Opaque passed to each function call.

`fn`

  Function to call on each device

## Description

This traverses over each device of `starget`. The devices have a reference that must be released by scsi_host_put when breaking out of the loop.

Prev | Up | Next
scsi_device_put | Home | __starget_for_each_device